Payments
Create Dispute
Creates a new dispute for a payment, initiating the chargeback or dispute resolution process.
POST
/
v1
/
payments
/
{payment_id}
/
disputes
Create dispute
curl --request POST \
--url https://api-sandbox.y.uno/v1/payments/{payment_id}/disputes \
--header 'Content-Type: application/json' \
--header 'private-secret-key: <api-key>' \
--header 'public-api-key: <api-key>' \
--data '
{
"reason": "Customer claims item not received",
"amount": {
"currency": "BRL",
"value": 150
}
}
'import requests
url = "https://api-sandbox.y.uno/v1/payments/{payment_id}/disputes"
payload = {
"reason": "Customer claims item not received",
"amount": {
"currency": "BRL",
"value": 150
}
}
headers = {
"public-api-key": "<api-key>",
"private-secret-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'public-api-key': '<api-key>',
'private-secret-key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
reason: 'Customer claims item not received',
amount: {currency: 'BRL', value: 150}
})
};
fetch('https://api-sandbox.y.uno/v1/payments/{payment_id}/disputes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"payment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": {
"currency": "BRL",
"value": 100
},
"reason": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"code": "VALIDATION_ERROR",
"messages": [
"amount must be greater than 0",
"country must not be blank"
]
}{
"code": "VALIDATION_ERROR",
"messages": [
"amount must be greater than 0",
"country must not be blank"
]
}Authorizations
Your public API key from the Yuno Dashboard
Your private secret key (server-side only)
Path Parameters
The unique identifier of the payment
Body
application/json
Response
Dispute created successfully
⌘I
Create dispute
